version: "3"

services:
    database:
        image: postgres:12-alpine
        environment:
            POSTGRES_USER: ${DB_USER:-dev}
            POSTGRES_PASSWORD: ${DB_PASSWORD:-dev}
            POSTGRES_DB: ${DB_NAME:-postgres}
        ports:
            - "5432:5432"
        volumes: 
            - postgres:/var/lib/postgresql/data
    
    backend:
        build: .
        environment: 
            DB_NAME: ${DB_NAME:-postgres}
            DB_USER: ${DB_USER:-dev}
            DB_PASSWORD: ${DB_PASSWORD:-dev}
            DB_HOST: ${DB_HOST:-database}
            DB_PORT: ${DB_PORT:-5432}
            SECRET_KEY: ${SECRET_KEY:-secret_key}
            ENVIRONMENT: ${ENVIRONMENT:-development}
        depends_on:
            - database
        ports:
            - "8000:8000"
        volumes:
            - "./:/usr/app/"

volumes: 
    postgres: